from aiohttp import web

from maps_adv.adv_store.lib.api_provider import campaign as api_provider


async def get_status_history(request):
    campaign_id = int(request.match_info["campaign_id"])
    result = await api_provider.get_status_history(campaign_id=campaign_id)
    return web.Response(body=result)
